package tech.sbdevelopment.vehiclesplusconverter.api;

import java.io.IOException;
import java.util.Set;

public class ConversionException extends IOException {
    public ConversionException(String explanation, String filename) {
        super(explanation + " " + filename + ".yml!");
    }

    public ConversionException(String explanation, String filename, String expected, Set<String> available) {
        super(explanation + " " + filename + ".yml! Expected " + expected + ", available: " + String.join(", ", available));
    }
}
